﻿<!DOCTYPE html>
<html lang="en">
<head>
    <title>AJAX</title>
    <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap"
          rel="stylesheet">
    <style>
        #users {
            display: flex;
            gap: 1em;
            flex-wrap: wrap;
            justify-content: center;
        }

        .user-card {
            font-family: 'Roboto', sans-serif;
            width: 20em;
            background: linear-gradient(#d6d6ff, #ffb6c3);
            padding: 1.5em;
        }

        .user-card h1,
        h2,
        h3 {
            text-align: center;
            margin: 0;
            color: #77447a;
        }

        span {
            font-style: italic;
        }

        .geo-container {
            display: flex;
            justify-content: space-evenly;
        }

        .button-container {
            display: flex;
            justify-content: center;
        }

        button {
            background-color: #77447a;
            border: none;
            color: white;
            padding: 15px 32px;
            text-align: center;
            border-radius: 2em;
            margin: 1em;
            cursor: pointer;
        }

        .loader-container {
            display: flex;
            justify-content: center;
            visibility: hidden;
        }

        .loader {
            border: 0.2em solid #ffffff;
            border-top: 0.2em solid #77447a;
            border-radius: 50%;
            width: 1em;
            height: 1em;
            animation: spin 2s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
    </style>
</head>

<body>
<div id="users"></div>
<script src="js/index.js"></script>
</body>
</html>
